ReflectionMethod::isPublic
ReflectionMethod::setAccessible
ReflectionMethod
PHP Manual

# ReflectionMethod::isStatic

(PHP 5)

ReflectionMethod::isStatic — Checks if method is static

### Description

public bool ReflectionMethod::isStatic ( void )

Checks if the method is static.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the method is static, otherwise `FALSE`

### See Also

- ReflectionMethod::isFinal() - Checks if method is final

ReflectionMethod::isPublic
ReflectionMethod::setAccessible
ReflectionMethod
PHP Manual